SDL Library Documentation
Prev |  | Next

# SDL_CDPlayTracks

## Name

SDL_CDPlayTracks -- Play the given CD track(s)

## Synopsis

    #include "SDL.h"

``int SDL_CDPlayTracks`(SDL_CD *cdrom, int start_track, int start_frame, int ntracks, int nframes));`

## Description

`SDL_CDPlayTracks` plays the given CD starting at track `start_track`, for `ntracks` tracks.

`start_frame` is the frame offset, from the beginning of the `start_track`, at which to start. `nframes` is the frame offset, from the beginning of the last track (`start_track`+`ntracks`), at which to end playing.

`SDL_CDPlayTracks` should only be called after calling `SDL_CDStatus` to get track information about the CD.

> Note: Data tracks are ignored.

## Return Value

Returns 0, or -1 if there was an error.

## Examples

    /* assuming cdrom is a previously opened device */
    /* Play the entire CD */
    if(CD_INDRIVE(SDL_CDStatus(cdrom)))
      SDL_CDPlayTracks(cdrom, 0, 0, 0, 0);

    /* Play the first track */
    if(CD_INDRIVE(SDL_CDStatus(cdrom)))
      SDL_CDPlayTracks(cdrom, 0, 0, 1, 0);

    /* Play first 15 seconds of the 2nd track */
    if(CD_INDRIVE(SDL_CDStatus(cdrom)))
      SDL_CDPlayTracks(cdrom, 1, 0, 0, CD_FPS*15);

## See Also

`SDL_CDPlay`, `SDL_CDStatus`, `SDL_CD`

Prev | Home | Next
SDL_CDPlay | Up | SDL_CDPause